Summary: 3D tabletennis game
Name: csmash
Version: 0.6.6
Release: 21
License: GPLv2+
Group: Amusements/Games
URL: http://cannonsmash.sourceforge.net/
Source0: http://dl.sf.net/cannonsmash/csmash-%{version}.tar.gz
Source1: csmash-64x64.png
Source2: csmash.desktop
Patch0: csmash-0.6.6-64bit-gcc4-fixes.patch
Patch1: csmash-0.6.6-extraqualif.patch
Patch2: csmash-0.6.6-configure.patch
Patch3: csmash-0.6.6-datadir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gtk2-devel, libjpeg-devel, zlib-devel, gettext
BuildRequires: SDL-devel >= 1.2.0, SDL_mixer-devel, SDL_image-devel
BuildRequires: desktop-file-utils
BuildRequires: libXmu-devel, libXt-devel, libICE-devel, libX11-devel
BuildRequires: libGL-devel, libGLU-devel
# Required for autoreconf
BuildRequires: autoconf, automake, gettext-devel

%description
CannonSmash is a 3D tabletennis game. The goal of this project is to
represent various strategy of tabletennis on computer game.
This program requires OpenGL and SDL. If your machine doesn't have 3D
accelaration video card, this program runs very slowly.


%prep
%setup -q
%patch0 -p1 -b .64bit-gcc4
%patch1 -p1 -b .extraqualif
%patch2 -p1 -b .configure
%patch3 -p1 -b .datadir
autoreconf --force --install -Im4
# Convert to UTF-8 while keeping the original timestamps
iconv -f iso8859-1 -t utf-8 README > tmp
touch -r README tmp
mv -f tmp README
chmod 0644 README


%build
%configure --disable-dependency-tracking
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%find_lang %{name}

# Install the menu entry icon
%{__install} -D -p -m 0644 %{SOURCE1} \
    %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/csmash.png

# Now the menu entry
%{__mkdir_p} %{buildroot}%{_datadir}/applications
desktop-file-install \
    --vendor "" \
    --dir %{buildroot}%{_datadir}/applications \
    %{SOURCE2}


%clean
%{__rm} -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING CREDITS ChangeLog README README.en
%{_bindir}/csmash
%{_datadir}/applications/csmash.desktop
%{_datadir}/icons/hicolor/64x64/apps/csmash.png
%{_datadir}/csmash/


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.6-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.6-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep 15 2008 Matthias Saou <http://freshrpms.net/> 0.6.6-19
- Fix desktop file (#462261).
- Convert README file to UTF-8.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org>
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 0.6.6-17
- Rebuild for new BuildID feature.

* Sat Aug  4 2007 Matthias Saou <http://freshrpms.net/> 0.6.6-16
- Update License field.
- Remove dist tag, since the package will seldom change.

* Wed Jun 20 2007 Matthias Saou <http://freshrpms.net/> 0.6.6-15
- Switch to use DESTDIR install method.
- Run autoreconf since gcc gets passed "NONE" otherwise and configure fails.
- Add all searched libX* build requirements.
- Include a home made table tennis racket icon, in hicolor with scriplets.
- Split out the desktop file as its own source.
- Include patch to move data from datadir/games/ to datadir/.

* Tue Feb  6 2007 Matthias Saou <http://freshrpms.net/> 0.6.6-14
- Fix to use CFLAGS and don't re-run autotools (#227379, Ville Skyttä).

* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 0.6.6-13
- FC6 rebuild.
- Remove gcc-c++ build requirement, it's a default.
- Add patch to configure to remove empty '-I' as further include paths seem to
  be ignored when it's present, this caused SDL.h to not be found.

* Mon Mar  6 2006 Matthias Saou <http://freshrpms.net/> 0.6.6-12
- FC5 rebuild.

* Wed Feb  8 2006 Matthias Saou <http://freshrpms.net/> 0.6.6-11
- Rebuild for new gcc/glibc.

* Mon Jan 23 2006 Matthias Saou <http://freshrpms.net/> 0.6.6-10
- Add conditional to build with/without modular X depending on FC version.
- Include gcc 4.1 patch to fix "extra qualification" errors.
- For some reason, adding libXt, libXext and libXmu to the build make it fail.

* Tue May 24 2005 Matthias Saou <http://freshrpms.net/> 0.6.6-9
- Update the gcc4 patch with diff from bug #156205.

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.6.6-8
- rebuild on all arches

* Tue May  3 2005 Matthias Saou <http://freshrpms.net/> 0.6.6-7
- Update 64bit patch to add gcc4 fixes too (from Debian bug #289015).

* Tue Nov 16 2004 Matthias Saou <http://freshrpms.net/> 0.6.6-5
- Bump release to provide Extras upgrade path.

* Tue Nov 16 2004 Matthias Saou <http://freshrpms.net/> 0.6.6-4
- Add 64bit-fixes patch from Mandrake Linux to fix x86_64 build.

* Thu Sep 16 2004 Matthias Saou <http://freshrpms.net/> 0.6.6-3
- Added missing zlib-devel build dep for YDL4.
- Removed explicit deps, they're all picked up automatically.

* Tue May 18 2004 Matthias Saou <http://freshrpms.net/> 0.6.6-2
- Rebuild for Fedora Core 2.

* Thu Feb 12 2004 Matthias Saou <http://freshrpms.net/> 0.6.6-1
- Update to 0.6.6, now uses gtk2.
- Fix a typo in the desktop file and added icon.

* Fri Dec 12 2003 Matthias Saou <http://freshrpms.net/> 0.6.5-2
- Rebuild for Fedora Core 1... the configure problem is gone :-/

* Mon Apr 14 2003 Matthias Saou <http://freshrpms.net/>
- Update to 0.6.5.

* Sat Feb  9 2002 Matthias Saou <http://freshrpms.net/>
- Initial RPM release.

